petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSetDebugger

Sets options associated with the debugger.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSetDebugger(const char debugger[],PetscBool xterm)

Not Collective Many br

### Input Parameters

| debugger | - name of debugger, which should be in your path, Many brusually "lldb", "dbx", "gdb", "idb", "xxgdb", "kdgb" or "ddd". Also, HP-UX Many brsupports "xdb", and IBM rs6000 supports "xldb". Many br

| xterm | - flag to indicate debugger window, set to either PETSC_TRUE (to indicate Many brdebugger should be started in a new xterm) or PETSC_FALSE (to start debugger Many brin initial window (the option PETSC_FALSE makes no sense when using more Many brthan one MPI process.) Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscAttachDebugger(), PetscAttachDebuggerErrorHandler()

Level:developer
Location:src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages